package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单打印设置对象 mall_print_setting
 *
 * @author ruoyi
 * @date 2022-08-03
 */
public class MallPrintSetting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 打印配置id */
    @Excel(name = "打印配置id")
    private Integer printSettingId;

    /** 制单人 */
    @Excel(name = "制单人")
    private String preparer;

    /** 审核人 */
    @Excel(name = "审核人")
    private String checker;

    /** 打印人 */
    @Excel(name = "打印人")
    private String printed;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setPrintSettingId(Integer printSettingId)
    {
        this.printSettingId = printSettingId;
    }

    public Integer getPrintSettingId()
    {
        return printSettingId;
    }
    public void setPreparer(String preparer)
    {
        this.preparer = preparer;
    }

    public String getPreparer()
    {
        return preparer;
    }
    public void setChecker(String checker)
    {
        this.checker = checker;
    }

    public String getChecker()
    {
        return checker;
    }
    public void setPrinted(String printed)
    {
        this.printed = printed;
    }

    public String getPrinted()
    {
        return printed;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("printSettingId", getPrintSettingId())
            .append("preparer", getPreparer())
            .append("checker", getChecker())
            .append("printed", getPrinted())
            .append("phone", getPhone())
            .toString();
    }
}
